commit:     063b180e11f29d4d8cbba732c65d8cef9d77c777
Author:     Marco Scardovi <marco <AT> scardovi <DOT> com>
AuthorDate: Thu Jun 24 14:53:47 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jul  8 07:35:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=063b180e

mail-filter/bogofilter: bump to 1.2.5

This also drop patch made for v1.2.4
Closes: https://bugs.gentoo.org/763024
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Marco Scardovi <marco <AT> scardovi.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 mail-filter/bogofilter/Manifest                |   1 +
 mail-filter/bogofilter/bogofilter-1.2.5.ebuild | 129 +++++++++++++++++++++++++
 2 files changed, 130 insertions(+)

diff --git a/mail-filter/bogofilter/Manifest b/mail-filter/bogofilter/Manifest
index 30f3319892a..0c769c323e6 100644
--- a/mail-filter/bogofilter/Manifest
+++ b/mail-filter/bogofilter/Manifest
@@ -1 +1,2 @@
 DIST bogofilter-1.2.4.tar.bz2 887848 BLAKE2B 
4ed5c15a44f5a166e3858581ccc59b36ebde2fe1eb402cc0471378600b555b2452f4eae04d7d37dcb7638568db0c196da2d2504a3a569d7571c4aacd7e0ceea7
 SHA512 
e8c0b6bcc14f12fbbb2752e697a6d9065e17abfca3f70045ce9fe668d01c1cfad4adaa35c81546ecdd3639b0c28f3f4776bb5ed4699f21e9e2a5b19ca33479db
+DIST bogofilter-1.2.5.tar.xz 801240 BLAKE2B 
90fc5f0ab258ada722ca2fb79d17279b621eb089f646eade2ab41b78c44deea7f3fd8f219053e09ce5b4c64f5fc81f43a17c20b84261b22d5529c06106e80b3c
 SHA512 
3a7280485cfe5802dd3e9721c153f88ccf28bff7a6a24590e985e860d1f1e0ddea7bde8a8e5ad1ff643e94c9fd7b26b2a5ed5a9fb991cee3fd5b0ce67ce9abfe

diff --git a/mail-filter/bogofilter/bogofilter-1.2.5.ebuild 
b/mail-filter/bogofilter/bogofilter-1.2.5.ebuild
new file mode 100644
index 00000000000..6b621458523
--- /dev/null
+++ b/mail-filter/bogofilter/bogofilter-1.2.5.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools db-use flag-o-matic toolchain-funcs
+
+DESCRIPTION="Bayesian spam filter designed with fast algorithms, and tuned for 
speed"
+HOMEPAGE="http://bogofilter.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-3+ CC-BY-ND-3.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="berkdb sqlite tokyocabinet"
+
+# pax needed for bf_tar
+DEPEND="
+       app-arch/pax
+       sci-libs/gsl:=
+       virtual/libiconv
+       berkdb?  ( >=sys-libs/db-3.2:* )
+       !berkdb? (
+               sqlite?  ( >=dev-db/sqlite-3.6.22 )
+               !sqlite? (
+                       tokyocabinet? ( dev-db/tokyocabinet )
+                       !tokyocabinet? ( >=sys-libs/db-3.2:* )
+               )
+       )
+"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+       has_version mail-filter/bogofilter || return 0
+       if  (   use berkdb && ! has_version 'mail-filter/bogofilter[berkdb]' ) 
|| \
+               ( ! use berkdb &&   has_version 
'mail-filter/bogofilter[berkdb]' ) || \
+               (   use sqlite && ! has_version 
'mail-filter/bogofilter[sqlite]' ) || \
+               ( ! use sqlite &&   has_version 
'mail-filter/bogofilter[sqlite]' ) || \
+               ( has_version '>=mail-filter/bogofilter-1.2.1-r1' && \
+                       (   use tokyocabinet && ! has_version 
'mail-filter/bogofilter[tokyocabinet]' ) || \
+                       ( ! use tokyocabinet &&   has_version 
'mail-filter/bogofilter[tokyocabinet]' )
+               ) ; then
+               ewarn
+               ewarn "If you want to switch the database backend, you must 
dump the wordlist"
+               ewarn "with the current version (old use flags) and load it 
with the new version!"
+               ewarn
+       fi
+}
+
+src_prepare() {
+       default
+
+       # bug 445918
+       sed -i -e 's/ -ggdb//' configure.ac || die
+
+       # bug 421747
+       chmod +x 
src/tests/t.{ctype,leakfind,lexer.qpcr,lexer.eoh,message_id,queue_id} || die
+
+       # bug 654990
+       sed -i -e 's/t.bulkmode//' \
+               -e 's/t.dump.load//' \
+               -e 's/t.nonascii.replace//' \
+               src/tests/Makefile.am || die
+
+       eautoreconf
+}
+
+src_configure() {
+       local myconf="" berkdb=true
+       myconf="--without-included-gsl"
+
+       # determine backend: berkdb *is* default
+       if use berkdb && use sqlite ; then
+               elog "Both useflags berkdb and sqlite are in USE:"
+               elog "Using berkdb as database backend."
+       elif use berkdb && use tokyocabinet ; then
+               elog "Both useflags berkdb and tokyocabinet are in USE:"
+               elog "Using berkdb as database backend."
+       elif use sqlite && use tokyocabinet ; then
+               elog "Both useflags sqlite and tokyocabinet are in USE:"
+               elog "Using sqlite as database backend."
+               myconf="${myconf} --with-database=sqlite"
+               berkdb=false
+       elif use sqlite ; then
+               myconf="${myconf} --with-database=sqlite"
+               berkdb=false
+       elif use tokyocabinet ; then
+               myconf="${myconf} --with-database=tokyocabinet"
+               berkdb=false
+       elif ! use berkdb ; then
+               elog "Neither berkdb nor sqlite nor tokyocabinet are in USE:"
+               elog "Using berkdb as database backend."
+       fi
+
+       # Include the right berkdb headers for FreeBSD
+       if ${berkdb} ; then
+               append-cppflags "-I$(db_includedir)"
+       fi
+
+       econf ${myconf}
+}
+
+src_test() {
+       emake -C src/ check
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       exeinto /usr/share/${PN}/contrib
+       doexe contrib/{bogofilter-qfe,parmtest,randomtrain}.sh \
+               contrib/{bfproxy,bogominitrain,mime.get.rfc822,printmaildir}.pl 
\
+               contrib/{spamitarium,stripsearch}.pl
+
+       insinto /usr/share/${PN}/contrib
+       doins contrib/{README.*,dot-qmail-bogofilter-default} \
+               contrib/{bogogrep.c,bogo.R,bogofilter-milter.pl,*.example} \
+               contrib/vm-bogofilter.el \
+               contrib/{trainbogo,scramble}.sh
+
+       dodoc AUTHORS NEWS README RELEASE.NOTES* TODO GETTING.STARTED \
+               doc/integrating-with-* doc/README.{db,sqlite}
+
+       dodoc -r doc/*.html
+
+       dodir /usr/share/doc/${PF}/samples
+       mv "${D}"/etc/bogofilter.cf.example "${D}"/usr/share/doc/${PF}/samples/ 
|| die
+       rmdir "${D}"/etc || die
+}

Reply via email to